Loading...
Searching...
No Matches
Dune::ParallelLocalIndex< T > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

An index present on the local process with an additional attribute flag. More...

`#include <dune/common/parallel/plocalindex.hh>`

## Public Types

typedef T | Attribute
| The type of the attributes. Normally this will be an enumeration like.

## Public Member Functions

| ParallelLocalIndex (const Attribute &attribute, bool isPublic)
| Constructor.
| ParallelLocalIndex (size_t localIndex, const Attribute &attribute, bool isPublic=true)
| Constructor.
| ParallelLocalIndex ()
| Parameterless constructor.
const Attribute | attribute () const
| Get the attribute of the index.
void | setAttribute (const Attribute &attribute)
| Set the attribute of the index.
size_t | local () const
| get the local index.
| operator size_t () const
| Convert to the local index represented by an int.
ParallelLocalIndex< Attribute > & | operator= (size_t index)
| Assign a new local index.
bool | isPublic () const
| Check whether the index might also be known other processes.
LocalIndexState | state () const
| Get the state.
void | setState (const LocalIndexState &state)
| Set the state.

## Friends

struct | MPITraits< ParallelLocalIndex< T > >
std::ostream & | operator<< (std::ostream &os, const ParallelLocalIndex< T > &index)
| Print the local index to a stream.

## Detailed Description

template<typename T>
class Dune::ParallelLocalIndex< T >

An index present on the local process with an additional attribute flag.

## Member Typedef Documentation

## Attribute

template<typename T>

typedef T Dune::ParallelLocalIndex< T >::Attribute

The type of the attributes. Normally this will be an enumeration like.

    enum Attributes{owner, border, overlap};

## Friends And Related Symbol Documentation

## MPITraits< ParallelLocalIndex< T > >

template<typename T>

friend struct MPITraits< ParallelLocalIndex< T > >

friend

## operator<<

template<typename T>

std::ostream & operator<< | ( | std::ostream & | os,
|  | const ParallelLocalIndex< T > & | index )

friend

Print the local index to a stream.

Parameters

  os | The output stream to print to.
  index | The index to print.

The documentation for this class was generated from the following file:

- plocalindex.hh